<template>
  <a
    :href="url"
    class="btn btn-lg btn-stackexchange"
  >
    <i class="fab fa-stack-exchange"></i>
    <span>StackExchange</span>
  </a>
</template>

<script>
export default {
  computed:{
    url(){
      return `${process.env.VUE_APP_API_URL}/stackexchange/auth?redirect_to=${process.env.VUE_APP_WEB_URL}/profile`;
    }
  }
};
</script>

<style lang="scss" scoped>
.btn-stackexchange {
  width: 100%;
  background-color: $stack-color;
  color: white;
  display: flex;
  padding: 0.7rem;
  justify-content: flex-start;
  font-size: 16px;
  line-height: 19px;
  position: relative;

  &:hover {
    background-color: darken($stack-color, $btn-hover-darken-percentage);
    color: white;
  }

  i {
    position: absolute;
    left: 16px;
    font-size: 20px;
  }

  span {
    width: 80%;
    margin: 0 auto;
    text-align: center;
    white-space: nowrap;
  }
}
</style>